Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network112.232.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
112.232.0.0
Broadcast address
112.233.255.255
First usable
112.232.0.1
Last usable
112.233.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 70E80000 · Integer 1894252544 to 1894383615
Reverse DNS zones
232.112.in-addr.arpa
233.112.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110000.11101000.00000000.00000000112.232.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01110000.11101000.00000000.00000000112.232.0.0
Broadcast01110000.11101001.11111111.11111111112.233.255.255
Split into smaller subnets/22

112.232.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1112.232.0.0/22112.232.0.1 to 112.232.3.254112.232.3.2551,022
2112.232.4.0/22112.232.4.1 to 112.232.7.254112.232.7.2551,022
3112.232.8.0/22112.232.8.1 to 112.232.11.254112.232.11.2551,022
4112.232.12.0/22112.232.12.1 to 112.232.15.254112.232.15.2551,022
5112.232.16.0/22112.232.16.1 to 112.232.19.254112.232.19.2551,022
6112.232.20.0/22112.232.20.1 to 112.232.23.254112.232.23.2551,022
7112.232.24.0/22112.232.24.1 to 112.232.27.254112.232.27.2551,022
8112.232.28.0/22112.232.28.1 to 112.232.31.254112.232.31.2551,022
9112.232.32.0/22112.232.32.1 to 112.232.35.254112.232.35.2551,022
10112.232.36.0/22112.232.36.1 to 112.232.39.254112.232.39.2551,022
11112.232.40.0/22112.232.40.1 to 112.232.43.254112.232.43.2551,022
12112.232.44.0/22112.232.44.1 to 112.232.47.254112.232.47.2551,022
13112.232.48.0/22112.232.48.1 to 112.232.51.254112.232.51.2551,022
14112.232.52.0/22112.232.52.1 to 112.232.55.254112.232.55.2551,022
15112.232.56.0/22112.232.56.1 to 112.232.59.254112.232.59.2551,022
16112.232.60.0/22112.232.60.1 to 112.232.63.254112.232.63.2551,022
17112.232.64.0/22112.232.64.1 to 112.232.67.254112.232.67.2551,022
18112.232.68.0/22112.232.68.1 to 112.232.71.254112.232.71.2551,022
19112.232.72.0/22112.232.72.1 to 112.232.75.254112.232.75.2551,022
20112.232.76.0/22112.232.76.1 to 112.232.79.254112.232.79.2551,022
21112.232.80.0/22112.232.80.1 to 112.232.83.254112.232.83.2551,022
22112.232.84.0/22112.232.84.1 to 112.232.87.254112.232.87.2551,022
23112.232.88.0/22112.232.88.1 to 112.232.91.254112.232.91.2551,022
24112.232.92.0/22112.232.92.1 to 112.232.95.254112.232.95.2551,022
25112.232.96.0/22112.232.96.1 to 112.232.99.254112.232.99.2551,022
26112.232.100.0/22112.232.100.1 to 112.232.103.254112.232.103.2551,022
27112.232.104.0/22112.232.104.1 to 112.232.107.254112.232.107.2551,022
28112.232.108.0/22112.232.108.1 to 112.232.111.254112.232.111.2551,022
29112.232.112.0/22112.232.112.1 to 112.232.115.254112.232.115.2551,022
30112.232.116.0/22112.232.116.1 to 112.232.119.254112.232.119.2551,022
31112.232.120.0/22112.232.120.1 to 112.232.123.254112.232.123.2551,022
32112.232.124.0/22112.232.124.1 to 112.232.127.254112.232.127.2551,022
33112.232.128.0/22112.232.128.1 to 112.232.131.254112.232.131.2551,022
34112.232.132.0/22112.232.132.1 to 112.232.135.254112.232.135.2551,022
35112.232.136.0/22112.232.136.1 to 112.232.139.254112.232.139.2551,022
36112.232.140.0/22112.232.140.1 to 112.232.143.254112.232.143.2551,022
37112.232.144.0/22112.232.144.1 to 112.232.147.254112.232.147.2551,022
38112.232.148.0/22112.232.148.1 to 112.232.151.254112.232.151.2551,022
39112.232.152.0/22112.232.152.1 to 112.232.155.254112.232.155.2551,022
40112.232.156.0/22112.232.156.1 to 112.232.159.254112.232.159.2551,022
41112.232.160.0/22112.232.160.1 to 112.232.163.254112.232.163.2551,022
42112.232.164.0/22112.232.164.1 to 112.232.167.254112.232.167.2551,022
43112.232.168.0/22112.232.168.1 to 112.232.171.254112.232.171.2551,022
44112.232.172.0/22112.232.172.1 to 112.232.175.254112.232.175.2551,022
45112.232.176.0/22112.232.176.1 to 112.232.179.254112.232.179.2551,022
46112.232.180.0/22112.232.180.1 to 112.232.183.254112.232.183.2551,022
47112.232.184.0/22112.232.184.1 to 112.232.187.254112.232.187.2551,022
48112.232.188.0/22112.232.188.1 to 112.232.191.254112.232.191.2551,022
49112.232.192.0/22112.232.192.1 to 112.232.195.254112.232.195.2551,022
50112.232.196.0/22112.232.196.1 to 112.232.199.254112.232.199.2551,022
51112.232.200.0/22112.232.200.1 to 112.232.203.254112.232.203.2551,022
52112.232.204.0/22112.232.204.1 to 112.232.207.254112.232.207.2551,022
53112.232.208.0/22112.232.208.1 to 112.232.211.254112.232.211.2551,022
54112.232.212.0/22112.232.212.1 to 112.232.215.254112.232.215.2551,022
55112.232.216.0/22112.232.216.1 to 112.232.219.254112.232.219.2551,022
56112.232.220.0/22112.232.220.1 to 112.232.223.254112.232.223.2551,022
57112.232.224.0/22112.232.224.1 to 112.232.227.254112.232.227.2551,022
58112.232.228.0/22112.232.228.1 to 112.232.231.254112.232.231.2551,022
59112.232.232.0/22112.232.232.1 to 112.232.235.254112.232.235.2551,022
60112.232.236.0/22112.232.236.1 to 112.232.239.254112.232.239.2551,022
61112.232.240.0/22112.232.240.1 to 112.232.243.254112.232.243.2551,022
62112.232.244.0/22112.232.244.1 to 112.232.247.254112.232.247.2551,022
63112.232.248.0/22112.232.248.1 to 112.232.251.254112.232.251.2551,022
64112.232.252.0/22112.232.252.1 to 112.232.255.254112.232.255.2551,022
65112.233.0.0/22112.233.0.1 to 112.233.3.254112.233.3.2551,022
66112.233.4.0/22112.233.4.1 to 112.233.7.254112.233.7.2551,022
67112.233.8.0/22112.233.8.1 to 112.233.11.254112.233.11.2551,022
68112.233.12.0/22112.233.12.1 to 112.233.15.254112.233.15.2551,022
69112.233.16.0/22112.233.16.1 to 112.233.19.254112.233.19.2551,022
70112.233.20.0/22112.233.20.1 to 112.233.23.254112.233.23.2551,022
71112.233.24.0/22112.233.24.1 to 112.233.27.254112.233.27.2551,022
72112.233.28.0/22112.233.28.1 to 112.233.31.254112.233.31.2551,022
73112.233.32.0/22112.233.32.1 to 112.233.35.254112.233.35.2551,022
74112.233.36.0/22112.233.36.1 to 112.233.39.254112.233.39.2551,022
75112.233.40.0/22112.233.40.1 to 112.233.43.254112.233.43.2551,022
76112.233.44.0/22112.233.44.1 to 112.233.47.254112.233.47.2551,022
77112.233.48.0/22112.233.48.1 to 112.233.51.254112.233.51.2551,022
78112.233.52.0/22112.233.52.1 to 112.233.55.254112.233.55.2551,022
79112.233.56.0/22112.233.56.1 to 112.233.59.254112.233.59.2551,022
80112.233.60.0/22112.233.60.1 to 112.233.63.254112.233.63.2551,022
81112.233.64.0/22112.233.64.1 to 112.233.67.254112.233.67.2551,022
82112.233.68.0/22112.233.68.1 to 112.233.71.254112.233.71.2551,022
83112.233.72.0/22112.233.72.1 to 112.233.75.254112.233.75.2551,022
84112.233.76.0/22112.233.76.1 to 112.233.79.254112.233.79.2551,022
85112.233.80.0/22112.233.80.1 to 112.233.83.254112.233.83.2551,022
86112.233.84.0/22112.233.84.1 to 112.233.87.254112.233.87.2551,022
87112.233.88.0/22112.233.88.1 to 112.233.91.254112.233.91.2551,022
88112.233.92.0/22112.233.92.1 to 112.233.95.254112.233.95.2551,022
89112.233.96.0/22112.233.96.1 to 112.233.99.254112.233.99.2551,022
90112.233.100.0/22112.233.100.1 to 112.233.103.254112.233.103.2551,022
91112.233.104.0/22112.233.104.1 to 112.233.107.254112.233.107.2551,022
92112.233.108.0/22112.233.108.1 to 112.233.111.254112.233.111.2551,022
93112.233.112.0/22112.233.112.1 to 112.233.115.254112.233.115.2551,022
94112.233.116.0/22112.233.116.1 to 112.233.119.254112.233.119.2551,022
95112.233.120.0/22112.233.120.1 to 112.233.123.254112.233.123.2551,022
96112.233.124.0/22112.233.124.1 to 112.233.127.254112.233.127.2551,022
97112.233.128.0/22112.233.128.1 to 112.233.131.254112.233.131.2551,022
98112.233.132.0/22112.233.132.1 to 112.233.135.254112.233.135.2551,022
99112.233.136.0/22112.233.136.1 to 112.233.139.254112.233.139.2551,022
100112.233.140.0/22112.233.140.1 to 112.233.143.254112.233.143.2551,022
101112.233.144.0/22112.233.144.1 to 112.233.147.254112.233.147.2551,022
102112.233.148.0/22112.233.148.1 to 112.233.151.254112.233.151.2551,022
103112.233.152.0/22112.233.152.1 to 112.233.155.254112.233.155.2551,022
104112.233.156.0/22112.233.156.1 to 112.233.159.254112.233.159.2551,022
105112.233.160.0/22112.233.160.1 to 112.233.163.254112.233.163.2551,022
106112.233.164.0/22112.233.164.1 to 112.233.167.254112.233.167.2551,022
107112.233.168.0/22112.233.168.1 to 112.233.171.254112.233.171.2551,022
108112.233.172.0/22112.233.172.1 to 112.233.175.254112.233.175.2551,022
109112.233.176.0/22112.233.176.1 to 112.233.179.254112.233.179.2551,022
110112.233.180.0/22112.233.180.1 to 112.233.183.254112.233.183.2551,022
111112.233.184.0/22112.233.184.1 to 112.233.187.254112.233.187.2551,022
112112.233.188.0/22112.233.188.1 to 112.233.191.254112.233.191.2551,022
113112.233.192.0/22112.233.192.1 to 112.233.195.254112.233.195.2551,022
114112.233.196.0/22112.233.196.1 to 112.233.199.254112.233.199.2551,022
115112.233.200.0/22112.233.200.1 to 112.233.203.254112.233.203.2551,022
116112.233.204.0/22112.233.204.1 to 112.233.207.254112.233.207.2551,022
117112.233.208.0/22112.233.208.1 to 112.233.211.254112.233.211.2551,022
118112.233.212.0/22112.233.212.1 to 112.233.215.254112.233.215.2551,022
119112.233.216.0/22112.233.216.1 to 112.233.219.254112.233.219.2551,022
120112.233.220.0/22112.233.220.1 to 112.233.223.254112.233.223.2551,022
121112.233.224.0/22112.233.224.1 to 112.233.227.254112.233.227.2551,022
122112.233.228.0/22112.233.228.1 to 112.233.231.254112.233.231.2551,022
123112.233.232.0/22112.233.232.1 to 112.233.235.254112.233.235.2551,022
124112.233.236.0/22112.233.236.1 to 112.233.239.254112.233.239.2551,022
125112.233.240.0/22112.233.240.1 to 112.233.243.254112.233.243.2551,022
126112.233.244.0/22112.233.244.1 to 112.233.247.254112.233.247.2551,022
127112.233.248.0/22112.233.248.1 to 112.233.251.254112.233.251.2551,022
128112.233.252.0/22112.233.252.1 to 112.233.255.254112.233.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses